(*
Copyright ? 2006 Logan Rockmore

This script gets the titles of all subscriptions with unread messages from NetNewsWire

*)


tell application "System Events" to if (application processes whose name is "NetNewsWire") is {} then return {-1}

set total to 0
set stringResult to {}

-- If Application is Open, get data
tell application "NetNewsWire"
	
	-- Get Subscription Titles and Unread Counts
	set the_list to subscriptions
	set s2 to (length of the_list)
	repeat with s1 from 1 to s2
		set sub to item (s1) of the_list
		set sub_title to display name of sub
		if synthetic of sub = false then
			set unread_count to unread count of sub
			if unread_count > 0 then
				set stringResult to stringResult & sub_title & unread_count
			end if
		end if
		
	end repeat
	
end tell

return stringResult
